> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Đặt lệnh thường phái sinh

> Đặt lệnh thường trên thị trường phái sinh.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml post /khronos/v1/order/place
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /khronos/v1/order/place:
    post:
      tags:
        - derivative-orders
      summary: Đặt lệnh thường phái sinh
      description: Đặt lệnh thường trên thị trường phái sinh.
      operationId: postKhronosOrderPlace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountId:
                  type: string
                  description: Mã tài khoản lưu ký.
                subAccountId:
                  type: string
                  description: Số tiểu khoản phái sinh.
                side:
                  allOf:
                    - $ref: '#/components/schemas/DerivativeSide'
                  description: B = Mua, S = Bán.
                symbol:
                  type: string
                  description: Mã phái sinh, ví dụ VN30F2103.
                price:
                  type: number
                  format: double
                  description: Giá đặt lệnh (trong khoảng giá sàn–trần).
                volume:
                  type: integer
                  format: int64
                  description: Khối lượng.
                orderType:
                  type: string
                  description: >-
                    0 = lệnh thường; SLP=1.0,0.8 = SL/TP; ABI=mã HĐTL = lệnh đối
                    ứng.
                refId:
                  type: string
                  description: >-
                    Số ngẫu nhiên duy nhất xác định kênh đặt lệnh (H.< số tự
                    sinh>). Có thể dùng UUID cho trường hợp này.
              required:
                - accountId
                - subAccountId
                - side
                - symbol
                - price
                - volume
                - orderType
                - refId
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  cmd:
                    type: string
                  rc:
                    type: string
                  rs:
                    type: string
                  oID:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        orderNo:
                          type: string
                        pk_orderNo:
                          type: string
                        showPrice:
                          type: string
                      required:
                        - orderNo
                        - pk_orderNo
                        - showPrice
                required:
                  - cmd
                  - rc
                  - rs
                  - oID
                  - data
              example:
                cmd: Web.placeOrder
                rc: '1'
                rs: ''
                oID: H.OWsC4418qYN59HXcvGtD3z
                data:
                  - orderNo: '1'
                    pk_orderNo: '7625400'
                    showPrice: '1198.7'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    DerivativeSide:
      type: string
      description: 'Chiều lệnh phái sinh: B = mua, S = bán.'
      enum:
        - B
        - S
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.